Description: Fix possible format string vulnerabilities
Author: Michael Biebl <biebl@debian.org>
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=643389
Index: gksu-2.0.2/gksu/gksu.c
===================================================================
--- gksu-2.0.2.orig/gksu/gksu.c	2009-03-04 19:25:32.000000000 +0100
+++ gksu-2.0.2/gksu/gksu.c	2011-10-10 18:31:04.599677143 +0200
@@ -146,9 +146,12 @@
   msg = g_strdup_vprintf(format, ap);
   va_end(ap);
 
-  diag_win = gtk_message_dialog_new_with_markup (NULL, GTK_DIALOG_MODAL,
-						 type, GTK_BUTTONS_CLOSE,
-						 msg);
+  diag_win = gtk_message_dialog_new (NULL, GTK_DIALOG_MODAL,
+				     type, GTK_BUTTONS_CLOSE,
+				     NULL);
+
+  gtk_message_dialog_set_markup (GTK_MESSAGE_DIALOG(diag_win),
+				 msg);
 
   gtk_signal_connect_object (GTK_OBJECT(diag_win), "delete_event",
 			     GTK_SIGNAL_FUNC(gtk_main_quit),
@@ -176,12 +179,7 @@
   g_key_file_load_from_file (desktop, file_name, G_KEY_FILE_NONE, &error);
   if (error)
     {
-      gchar *error_msg;
-
-      error_msg = g_strdup_printf ("Could not load desktop file: %s",
-				   error->message);
-      g_warning (error_msg);
-      g_free (error_msg);
+      g_warning ("Could not load desktop file: %s", error->message);
       g_error_free (error);
       g_key_file_free (desktop);
       return;
